## README

This folder contains the files with individual measurements underlying the summary panels in Figure 4 as well as R scripts useful to generate the graphs shown in the figure.  

These files are grouped within 3 folders, their description is given below


#### Accuracy (Fig.4 A and B - see also Table S4)

This folder contains 5 .ods files (libre office files). Each file contain the results of the Nessys segmentation comparator module describing the performance of automated segmentation method in comparison to manually segmented images used as ground truth.

The prefix of the file names specify for which biological sample in the DISCEPTS dataset the results are for (neural, acini, blastocysts, e75, e875).

Each file contains multiple sheet - 1 sheet per method (Nessys, Ilastik, Mins, Farsight).

The definition of accuracy features are given in Table S3 of the article. 
Finally, in addition to the values for individual images / methods, the data sheets contain computed value for the number of false positive (FP), false negative (FN), true positive (TP), precision, recall, F-measure as well as number of topological errors.

The values obtained in the summary columns are the values that are given in Table S4 of the article. 



#### Morphometry (Fig.4 C)

The data files for the morphometry analysis use the following naming convention: BestMatch_\<Method\>.tsv, where _Method_ is the name of the method that generated the nuclei.
  
The type of measure in each column is given by the column headers which are consistent with the feature names used in the article. Features are described in details in Sup. Method B3.

The data files contain 3 additional columns:  
  * Database.ID: unique id of a best match connection. (arbitrary row id)
  * Database.ID.Source: unique id of a nucleus generated by the automated method	
  * Database.ID.Target: unique id of the best matching nucleus in the ground truth


In addition to data files, 2 R scripts are provided:  
  * sampling.R : R script used to sample 200 cells from each biological dataset and to pool them together so each each dataset contribute equally to the graph in the figure  
  * morphometry.R : R script used to generate the graph in Fig. 4C



### Processing times

  * Files: 
    * proc_times.tsv: reproduction of table S5 (input for proc_time.R)
    * proc_time.R: R script to generate Fig. 4E


NB: The data for Fig. 4G are already given in table S5 of the article and are notreproduced in this repository.

